# Looks up a social profile and returns what is found to the user

This method will make a call and parse/return the results

Endpoint: GET /contacts/{tenantId}/socialProfile/{emailAddress}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed

  - `emailAddress` (string, required)
    The email address to look up

## Response 200:

  - `200` (unknown)
    The social profile was retrieved successfully

## Response 200 fields (application/json):

  - `avatar` (string)
    A url of the image of the individual

  - `bio` (string)
    Bio/Notes

  - `details` (object)

  - `emailAddress` (string)
    The primary email address

  - `facebook` (string)
    Facebook url

  - `fullName` (string)
    The full name

  - `gender` (string)
    The discovered gender
    Enum: "female", "male"

  - `linkedin` (string)
    Linked in Profile

  - `organization` (string)
    The organization the contact belongs to

  - `title` (string)
    The job title

  - `twitter` (string)
    Twitter handle

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The social profile was not found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve counts based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

